/*
 * Arquivo: testadado.c
 * ----------------
 * Este programa simula o lançamento de um dado.
 */

#include <stdio.h>
#include "aleatorio.h"

/*
 * Constantes
 * ---------
 * NTentativas -- Numero de tentativas 
 */

#define NTentativas 10


/* Protótipos de funções */

int LancaDado(void);


/* Programa principal */

int main()
{
    int i;
   
    Aleatorize();
   
    for (i = 0; i < NTentativas; i++) {
        printf("%d\n", LancaDado());
    }
   
    return 0;
}

/*
 * Função: LancaDado
 * Uso: dado = LancaDado();
 * -----------------------
 * Esta função gera e devolve um inteiro aleatório no intervalo 
 * de 1 a 6, representando o lançamento de um dado de 6 faces.
 */

int LancaDado(void)
{
    return (InteiroAleatorio(1, 6));
}
