/*
 * Arquivo: testarand.c
 * ----------------
 * Este programa testa a função rand da stdlib.h.
 */

#include <stdio.h>
#include <stdlib.h>

/*
 * Constantes
 * ---------
 * NTentativas -- Número de tentativas 
 */

#define NTentativas 10

/* Programa principal */

int main()
{
    int i, r;

    printf("Neste computador, RAND_MAX = %d.\n", RAND_MAX);
    printf("Eis os resultados de %d chamadas a rand:\n", NTentativas);
    for (i = 0; i < NTentativas; i++) {
        r = rand();
        printf("%10d\n", r);
    }

    return 0;
}
